<?php

include_once "functions.php";
include_once "global_variables.php";
verify_user();

$groups = array();
$p1 = array();
$p2 = array();

$cmd = "sudo getent passwd";
$result = array();
exec($cmd, $result, $success);
$pattern = '/^([^:]*):[^:]*:([^:]*):([^:]*):(.*)/';
$ldap_user_primary_groups = array();
foreach ($result as $key => $value) {
  if ($success == 0 && preg_match_all('/^([^:]*):[^:]*:([^:]*):([^:]*):(.*)/',$value,$o,PREG_PATTERN_ORDER)){
    if( $o[2][0] > 1001 ){
      $ldap_user_primary_groups[$o[3][0]] = 1;
    }
  }
}
$cmd = 'sudo getent group';
$result = array();
exec($cmd, $result, $success);
$pattern = '/^([^:]*):[^:]*:([^:]*):(.*)/';
foreach ($result as $key => $value) {
  if ($success == 0 && preg_match_all('/^([^:]*):[^:]*:([^:]*):(.*)/',$value,$out,PREG_PATTERN_ORDER)){
    if ( $out[2][0] > 1001 && $out[2][0] <= 10000 && $out[1][0] != SYSTEM_SHARED_MAIL_USER && $out[1][0] != GROUP_MAIL_ACCESS && ! isset($ldap_user_primary_groups[$out[2][0]]) ){
      $groups[$out[1][0]] = 1;
    }
  }
}


if(isset($_GET['present'])){
  $p1 = explode(',',$_GET['present']);
  foreach ($p1 as $key => $value) {
    if( $value != ''){
      $p2[$value] = 0;
    }
  }
}

foreach ($groups as $key => $value) {
  if( ! isset($p2[$key]) ){
    print "<option value=\"$key\">$key</option>\n";
  }
}



?>
